OGRE: Ogre::ResourceGroupManager::ResourceGroup Struct Reference - OGRE Documentation

Public Types | Public Member Functions | Public Attributes

# Ogre::ResourceGroupManager::ResourceGroup Struct Reference

Resource group entry. More...

`#include <OgreResourceGroupManager.h>`

List of all members.

## Public Types
enum | Status { UNINITIALSED = 0, INITIALISING = 1, INITIALISED = 2, LOADING = 3, LOADED = 4 }
typedef map< Real, LoadUnloadResourceList * > ::type | LoadResourceOrderMap
| Created resources which are ready to be loaded / unloaded.
## Public Member Functions
void | addToIndex (const String &filename, Archive *arch)
void | removeFromIndex (const String &filename, Archive *arch)
void | removeFromIndex (Archive *arch)
## Public Attributes
OGRE_AUTO_MUTEX String | name
| General mutex for dealing with group content.
Status | groupStatus
| Group status.
LocationList | locationList
| List of possible locations to search.
ResourceLocationIndex | resourceIndexCaseSensitive
| Index of resource names to locations, built for speedy access (case sensitive archives).
ResourceLocationIndex | resourceIndexCaseInsensitive
| Index of resource names to locations, built for speedy access (case insensitive archives).
ResourceDeclarationList | resourceDeclarations
| Pre-declared resources, ready to be created.
LoadResourceOrderMap | loadResourceOrderMap
String | worldGeometry
| Linked world geometry, as passed to setWorldGeometry.
SceneManager * | worldGeometrySceneManager
| Scene manager to use with linked world geometry.
bool | inGlobalPool

## Detailed Description

Resource group entry.

Definition at line 306 of file OgreResourceGroupManager.h.

## Member Typedef Documentation

typedef map<Real, LoadUnloadResourceList*>::type Ogre::ResourceGroupManager::ResourceGroup::LoadResourceOrderMap

Created resources which are ready to be loaded / unloaded.

Definition at line 335 of file OgreResourceGroupManager.h.

## Member Enumeration Documentation

enum Ogre::ResourceGroupManager::ResourceGroup::Status

Enumerator:

  UNINITIALSED |
  INITIALISING |
  INITIALISED |
  LOADING |
  LOADED |

Definition at line 308 of file OgreResourceGroupManager.h.

## Member Function Documentation

void Ogre::ResourceGroupManager::ResourceGroup::addToIndex | ( | const String & | filename,
|  | Archive * | arch |
| ) |  |  |

void Ogre::ResourceGroupManager::ResourceGroup::removeFromIndex | ( | Archive * | arch | ) |

void Ogre::ResourceGroupManager::ResourceGroup::removeFromIndex | ( | const String & | filename,
|  | Archive * | arch |
| ) |  |  |

## Member Data Documentation

Status Ogre::ResourceGroupManager::ResourceGroup::groupStatus

Group status.

Definition at line 323 of file OgreResourceGroupManager.h.

bool Ogre::ResourceGroupManager::ResourceGroup::inGlobalPool

Definition at line 342 of file OgreResourceGroupManager.h.

LoadResourceOrderMap Ogre::ResourceGroupManager::ResourceGroup::loadResourceOrderMap

Definition at line 336 of file OgreResourceGroupManager.h.

LocationList Ogre::ResourceGroupManager::ResourceGroup::locationList

List of possible locations to search.

Definition at line 325 of file OgreResourceGroupManager.h.

OGRE_AUTO_MUTEX String Ogre::ResourceGroupManager::ResourceGroup::name

General mutex for dealing with group content.

Status-specific mutex, separate from content-changing mutex Group name

Definition at line 321 of file OgreResourceGroupManager.h.

ResourceDeclarationList Ogre::ResourceGroupManager::ResourceGroup::resourceDeclarations

Pre-declared resources, ready to be created.

Definition at line 331 of file OgreResourceGroupManager.h.

ResourceLocationIndex Ogre::ResourceGroupManager::ResourceGroup::resourceIndexCaseInsensitive

Index of resource names to locations, built for speedy access (case insensitive archives).

Definition at line 329 of file OgreResourceGroupManager.h.

ResourceLocationIndex Ogre::ResourceGroupManager::ResourceGroup::resourceIndexCaseSensitive

Index of resource names to locations, built for speedy access (case sensitive archives).

Definition at line 327 of file OgreResourceGroupManager.h.

String Ogre::ResourceGroupManager::ResourceGroup::worldGeometry

Linked world geometry, as passed to setWorldGeometry.

Definition at line 338 of file OgreResourceGroupManager.h.

SceneManager* Ogre::ResourceGroupManager::ResourceGroup::worldGeometrySceneManager

Scene manager to use with linked world geometry.

Definition at line 340 of file OgreResourceGroupManager.h.

The documentation for this struct was generated from the following file:

- OgreResourceGroupManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:59